package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.EnterpriseInfo;
import com.nantian.cloud.jljc.vo.Query;

import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface EnterpriseInfoService extends IService<EnterpriseInfo> {

    // List<EnterpriseInfo> selectEnterpriseTradeType(EnterpriseInfo enterpriseInfo);

    //根据企业社会信用代码获取企业信息
    EnterpriseInfo getInfoByCode(String epc);

    //根据企业社会信用代码获取字典转换后的企业信息
    EnterpriseInfo getInfoNameByCode(String epc);

    //根据企业社会信用代码获取企业名称
    String getNameByCode(String epc);

    IPage<EnterpriseInfo> selectEnterpriseTradeType(Page page, EnterpriseInfo enterpriseInfo);

    //分页获取企业耗能级别信息
    IPage<EnterpriseInfo> getListBylevel(Page page, Query query);

    //查询企业列表（数据权限）
    List<Map<String,String>> queryList(Query query);
}

